#!/usr/bin/env node
'use strict';

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _child_process = require('child_process');

var _child_process2 = _interopRequireDefault(_child_process);

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _webpackServe = require('webpack-serve');

var _webpackServe2 = _interopRequireDefault(_webpackServe);

var _generateConfig = require('../lib/generate-config');

var _generateConfig2 = _interopRequireDefault(_generateConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const task = _yargs2.default.argv._[0];

(0, _generateConfig2.default)().then(configs => {
  if (task === 'build') {
    const compiler = (0, _webpack2.default)(configs);
    compiler.run((err, stats) => {
      if (err) {
        console.error(err);
      } else {
        console.log(stats.toString());
      }
    });
  } else if (task === 'dev') {
    (0, _webpackServe2.default)({ config: configs });
  } else {
    console.error('unknow task: try to use build or start');
  }
});