'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _configDetect = require('./config-detect');

var _configDetect2 = _interopRequireDefault(_configDetect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('config-detect', () => {

  it('should return the path when found .wbootrc', () => {
    const parentFolder = _path2.default.resolve('..');
    sinon.stub(_fs2.default, 'existsSync').withArgs(`${parentFolder}/.wbootrc`).returns(true);
    expect((0, _configDetect2.default)(_path2.default.resolve('./'))).to.equal(`${parentFolder}/.wbootrc`);
  });

  it('should return undefined when there is no .wbootrc found', () => {
    expect((0, _configDetect2.default)(_path2.default.resolve('./'))).to.be.undefined;
  });
});